Subject: Re: linux-next: manual merge of the vfs-brauner tree with the asm-generic tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2024 20:08:51 +1000

Hi all,

On Tue, 9 Jul 2024 10:57:09 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the fs-next tree got conflicts in:
> 
>   arch/arm64/include/asm/unistd.h
>   arch/arm64/include/asm/unistd32.h
> 
> between commit:
> 
>   ea0130bf3c45 ("arm64: convert unistd_32.h to syscall.tbl format")
> 
> from the asm-generic tree and commit:
> 
>   e6873349f700 ("fs/xattr: add *at family syscalls")
> 
> from the vfs-brauner tree.
> 
> I fixed it up (I used the former versions) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This resolution may be not enough as I now get the following warnings
from the arm64 defconfig build:

<stdin>:1603:2: warning: #warning syscall setxattrat not implemented [-Wcpp]
<stdin>:1606:2: warning: #warning syscall getxattrat not implemented [-Wcpp]
<stdin>:1609:2: warning: #warning syscall listxattrat not implemented [-Wcpp]
<stdin>:1612:2: warning: #warning syscall removexattrat not implemented [-Wcpp]

-- 
Cheers,
Stephen Rothwell